Bug 685107 - [abrt] fedpkg-0.5.6.0-1.fc14: __init__.py:90:_hash_file:IOError: [Errno 21] Is a directory: 'Biostrings'
Summary: [abrt] fedpkg-0.5.6.0-1.fc14: __init__.py:90:_hash_file:IOError: [Errno 21] I...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:fbb33d80
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-15 10:07 UTC by Pierre-YvesChibon
Modified: 2013-01-10 06:31 UTC (History)
3 users (show)

Fixed In Version: fedora-packager-0.5.9.0-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-18 04:05:45 UTC


Attachments (Terms of Use)
File: backtrace (695 bytes, text/plain)
2011-03-15 10:07 UTC, Pierre-YvesChibon
no flags Details

Description Pierre-YvesChibon 2011-03-15 10:07:13 UTC
abrt version: 1.1.17
architecture: x86_64
comment: By mistake (tab's fault) I ran fedpkg new-sources against a folder instead of the tarball.
component: fedora-packager
executable: /usr/bin/fedpkg
kernel: 2.6.35.11-83.fc14.x86_64
package: fedpkg-0.5.6.0-1.fc14
reason: __init__.py:90:_hash_file:IOError: [Errno 21] Is a directory: 'Biostrings'
release: Fedora release 14 (Laughlin)
time: 1300183573
uid: 500

backtrace
-----
__init__.py:90:_hash_file:IOError: [Errno 21] Is a directory: 'Biostrings'

Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 1480, in <module>
    args.command(args)
  File "/usr/bin/fedpkg", line 617, in new_sources
    mymodule.upload(args.files, replace=args.replace)
  File "/usr/lib/python2.7/site-packages/pyfedpkg/__init__.py", line 1722, in upload
    file_hash = _hash_file(f, self.lookasidehash)
  File "/usr/lib/python2.7/site-packages/pyfedpkg/__init__.py", line 90, in _hash_file
    input = open(file, 'rb')
IOError: [Errno 21] Is a directory: 'Biostrings'

Local variables in innermost frame:
hashtype: 'md5'
sum: <md5 HASH object @ 0x1de1ee0>
file: 'Biostrings'

How to reproduce
-----
1.fedpkg new-sources folder
2.
3.

Comment 1 Pierre-YvesChibon 2011-03-15 10:07:15 UTC
Created attachment 484426 [details]
File: backtrace

Comment 2 Jesse Keating 2011-04-07 22:25:33 UTC
Fix added upstream.  Will be in next build.

Comment 3 Fedora Update System 2011-04-11 21:21:04 UTC
fedora-packager-0.5.8.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.8.1-1.fc13

Comment 4 Fedora Update System 2011-04-11 21:21:13 UTC
fedora-packager-0.5.8.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.8.1-1.el5

Comment 5 Fedora Update System 2011-04-11 21:21:30 UTC
fedora-packager-0.5.8.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.8.1-1.fc14

Comment 6 Fedora Update System 2011-04-11 21:21:41 UTC
fedora-packager-0.5.8.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.8.1-1.fc15

Comment 7 Fedora Update System 2011-04-11 21:21:51 UTC
fedora-packager-0.5.8.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.8.1-1.el6

Comment 8 Fedora Update System 2011-04-12 17:02:48 UTC
Package fedora-packager-0.5.8.1-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing fedora-packager-0.5.8.1-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/fedora-packager-0.5.8.1-1.el6
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-04-18 04:05:27 UTC
fedora-packager-0.5.8.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-04-18 22:43:25 UTC
fedora-packager-0.5.9.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.0-1.fc13

Comment 11 Fedora Update System 2011-04-18 22:47:10 UTC
fedora-packager-0.5.9.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.0-1.el6

Comment 12 Fedora Update System 2011-04-18 22:48:18 UTC
fedora-packager-0.5.9.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.0-1.el5

Comment 13 Fedora Update System 2011-04-19 19:28:04 UTC
fedora-packager-0.5.8.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-04-28 02:00:51 UTC
fedora-packager-0.5.9.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-05-05 15:53:28 UTC
fedora-packager-0.5.9.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-05-05 15:54:16 UTC
fedora-packager-0.5.9.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.